GET /api/v1/search/video-channels

cpy.re:peertube

Summary: Search channels
Operation ID: searchChannels
Auth: unknown

Parameters (5)

count (integer, query, optional, default: 15)

Number of items to return

Constraints: {'minimum': 1, 'maximum': 100}

search (string, query, required)

String to search. If the user can make a remote URI search, and the string is an URI then the PeerTube instance will fetch the remote object and add it to its database. Then, you can use the REST API to fetch the complete channel information and interact with it.

searchTarget (string, query, optional)

If the administrator enabled search index support, you can override the default search target. **Warning**: If you choose to make an index search, PeerTube will get results from a third party service. It means the instance may not yet know the objects you fetched. If you want to load video/channel information: * If the current user has the ability to make a remote URI search (this information is available in the config endpoint), then reuse the search API to make a search using the object URI so PeerTube instance fetches the remote object and fill its database. After that, you can use the classic REST API endpoints to fetch the complete object or interact with it * If the current user doesn't have the ability to make a remote URI search, then redirect the user on the origin instance or fetch the data from the origin instance API

Constraints: {'enum': ['local', 'search-index']}

sort (string, query, optional)

Sort column

start (integer, query, optional)

Offset used to paginate results

Constraints: {'minimum': 0}

No probe data for this endpoint yet.